"""datacenter URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.11/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf.urls import url, include
from django.contrib import admin
#from rest_framework.documentation import include_docs_urls
from django.utils.translation import gettext_lazy as _
from django.conf import settings
from django.conf.urls.static import static


import banquet.views as banquet_views
import company.views as company_views
import inventory.views as inventory_views
import utils.views as utils_views
import promotion.views as promotion_views
import crm.views as crm_views
import sales.views as sal_views
import wx.views as wx_views
import wx.wxauth as wx_views_auth
import promotion.views as prm_views
import product.views as product_views
import gis.views as gis_views
import thirdparty.views as thirdparty_views
import mall.views as mall_views
import rbac.views as rbac_views

import mes.views as mes_views
import entertainment.views as ent_views

#2022-02-16
import extra.views as extra_views
import erp.views as erp_views


#2020-05-02 
import listobj.views as list_views

import utils.migrate as migrate

from django.views.generic.base import RedirectView

#2020-06-26
from django.views.static import serve
from django.conf.urls import handler500

admin.site.site_header =_("天鉴-物流后台管理")
admin.site.site_title = _("数据后台")
admin.site.index_title = _("天鉴物流")

handler500 = company_views.server_error

urlpatterns = [           

    url(r'^$', company_views.home),  
    #2021-05-04
    url(r'^index/$', company_views.index),  


    #2021-01-04 读取微信授权文件等
    url(r'^(?P<file_name>[\w.txt]{0,259})$', company_views.auth_txt),   
    #2021-11-13 https证书申请验证文件
    #.well-known/pki-validation/fileauth.txt
    url(r'^.well-known/pki-validation/(?P<file_name>[\w.txt]{0,259})$', company_views.auth_txt),   


    
    

        


    url(r'^favicon\.ico$', RedirectView.as_view(url='/static/images/favicon.ico')),


    #url(r'docs/', include_docs_urls(title="后台接口")),
    #url(r'^api-auth/', include('rest_framework.urls', namespace='rest_framework')),    
    #url(r'^admin/', admin.site.urls),

    #2020-05-02
    url(r'^obj/list/(?P<obj>\w+)/$', list_views.list_obj),
    url(r'^obj/edit/(?P<obj_name>\w+)/$', list_views.edit_obj),
    url(r'^obj/edit/(?P<obj_name>\w+)/(?P<id>\d+)/$', list_views.edit_obj),
    #2020-05-20
    url(r'^obj/agent/label/$', list_views.agent_lbl_info),
    url(r'^obj/agent/label/(?P<user_id>\d+)/$', list_views.agent_lbl_info),


    url(r'^obj/ajax/autocomplete/(?P<what>\w+)/$', list_views.ajax_autocomplete),
    url(r'^obj/ajax/autoselect/(?P<what>\w+)/$', list_views.ajax_select),
    
    #2020-10-19
    url(r'^obj/ajax/subsaldiv/(?P<division_id>\w+)/$', list_views.ajax_subdiv),




    #2020-11-18
    url(r'^obj/action/(?P<obj_name>\w+)/(?P<id>\d+)/(?P<act>\w+)/$', list_views.obj_action),  


    #2020-11-24
    url(r'^obj/delete/(?P<obj_name>\w+)/(?P<id>\d+)/$', list_views.delete_obj),


    #2021-02-27
    url(r'^obj/view/(?P<app_name>\w+)/(?P<obj_name>\w+)/(?P<id>\d+)/$', list_views.obj_view),


    
    url(r'^sales/promotioncode/check/$', sal_views.promotionCode_labelCheckAndGet),
    url(r'^sales/promotioncode/getdata/$', sal_views.promotionCode_getUserData),
    url(r'^sales/promotioncode/share/$', sal_views.promotionCode_share),
    url(r'^sales/promotioncode/share_json/$', sal_views.promotionCode_share_json),
    url(r'^sales/promotioncode/compose/$', sal_views.promotionCode_compose),
    url(r'^sales/promotioncode/compose_json/$', sal_views.promotionCode_compose_json),
    url(r'^sales/promotioncode/compose_json_jg/$', sal_views.promotionCode_compose_json_jg),
    url(r'^sales/promotioncode/redeem/$', sal_views.promotionCode_redeem),
    url(r'^sales/promotioncode/redeem_json/$', sal_views.promotionCode_redeem_json),
    url(r'^sales/promotioncode/super_prize_redeem_json/$', sal_views.promotionCode_super_prize_redeem_json),
    url(r'^sales/promotioncode/redeem/status/$', sal_views.promotionCode_getRedeemStatus),
    url(r'^sales/promotioncode/redeem/status/set/$', sal_views.promotionCode_setRedeemStatus),
    url(r'^sales/promotioncode/redeem/status/set_json/$', sal_views.promotionCode_setRedeemStatus_json),
    url(r'^sales/promotioncode/getcard/$', sal_views.promotionCode_getShareCard),
    url(r'^sales/promotioncode/getcard_json/$', sal_views.promotionCode_getShareCard_json),
    url(r'^sales/promotioncode/card_decide/$',
            sal_views.promotionCode_CardDecide),
    

    url(r'^sales/status/$', sal_views.status_monitor),

    url(r'^sales/saldiv/rebate/$', sal_views.saldiv_rebates),
    url(r'^sales/saldiv/rebate/ajax/$', sal_views.saldiv_rebates_ajax),
    url(r'^sales/saldiv/rebate/app/$', sal_views.saldiv_rebates_app),

    

    url(r'^sales/saldiv/rebate/details/ajax/$', sal_views.saldiv_rebates_details_ajax),
    url(r'^sales/saldiv/rebate/details/app/$', sal_views.saldiv_rebates_details_app),

    #2020-12-11
    url(r'^sales/channel/rebate/app/$', sal_views.channelrebate_app),
    url(r'^sales/channel/rebate/(?P<batch_id>\d+)/app/$', sal_views.channel_rebate_details_app),
    

    
    
    
    

    

    #url(r'^api/company/', include('company.api_urls')),
    url(r'^company/', include('company.urls')),

    url(r'^accounts/login/$', company_views.accounts_login),
    url(r'^user/login/', company_views.user_login),
    url(r'^user/logout/', company_views.user_logout),
    url(r'^user/chgpwd/', company_views.user_chgpwd),


    url(r'^inventory/fg/update/$', inventory_views.fg_update),
    url(r'^inventory/fg/update/(?P<is_app>\w+)/$', inventory_views.fg_update),


    #2021-04-01 测试后删除
    #url(r'^inventory/fg/fg_update_stack/$', inventory_views.fg_update_stack),
    



    
    url(r'^inventory/unhandled/(?P<company_id>\d+)/$', inventory_views.list_unhandled_batch),
    url(r'^inventory/process/unhandled/(?P<batch_id>\d+)/$', inventory_views.handle_batch),

         
    
    url(r'^inventory/html/(?P<what>\w+)/$', inventory_views.inventory_html),

    url(r'^inventory/batch/details/(?P<id>\d+)/$',inventory_views.batch_details),
    url(r'^inventory/batch/query/$',inventory_views.batch_query), 
    
    url(r'^inventory/batch/(?P<obj>\w+)/$',inventory_views.batch_list),    
    url(r'^inventory/batch/(?P<obj>\w+)/(?P<company_id>\d+)/$',inventory_views.batch_list),  


    url(r'^inventory/edit/batch/(?P<id>\d+)/$',inventory_views.batch_edit),
    #url(r'^inventory/edit/batch/(?P<id>\d+)/$',inventory_views.batch_details_edit),
    #url(r'^inventory/save/batch/(?P<id>\d+)/$',inventory_views.batch_details_save),

    
    
    
    url(r'^inventory/stock/(?P<company_id>\d+)/$',inventory_views.stock_list),
    url(r'^inventory/stock/$',inventory_views.stock_list),
    
    url(r'^inventory/stkclosing/$',inventory_views.stkclosing_list),
    url(r'^inventory/ajax_stkclosing/$',inventory_views.ajax_stkclosing_list),
    #2019-12-04
    url(r'^inventory/send/to/wuliu/(?P<batch_id>\d+)/$',inventory_views.send_to_wuliu),

    url(r'^inventory/stock/agents/$',inventory_views.children_stock),

    url(r'^inventory/stock/agent/(?P<agt_id>\d+)/$',inventory_views.agent_stock),
    #2019-12-30
    url(r'^jg/label/segment/$',inventory_views.jg_label_segment),
    #2020-01-06
    url(r'^inventory/ht/gdrh/(?P<batch_id>\d+)/$', inventory_views.ht_gdrh_upload), 


    #2020-03-27
    url(r'^inventory/stock/err/list/$', inventory_views.stk_err_list), 
    #2020-05-14
    url(r'^inventory/stock/transfer/$', inventory_views.stk_transfer), 
    

    
    url(r'^inventory/upload/label_replace/$', inventory_views.upload_label_replace), 
    url(r'^inventory/app/stock/(?P<company_id>\d+)/$', inventory_views.app_stock), 
    url(r'^inventory/app/(?P<company_id>\d+)/children/$', inventory_views.app_childcompany), 

    
    url(r'^inventory/app/label/check/$', inventory_views.app_label_check), 

    #2020-11-04
    url(r'^inventory/app/label/check_nc/$', inventory_views.app_labelcheck_new),
    

    #2020-04-27
    url(r'^inventory/app/bottlecap/$', inventory_views.bottlecap), 
    #2020-04-27
    url(r'^inventory/upload/inv/$', inventory_views.upload_inv), 
    url(r'^inventory/upload/inv/txt/$', inventory_views.upload_inv_txt), 
    url(r'^inventory/app/label/replace/$', inventory_views.app_label_replace),

    #2020-03-27
    url(r'^inventory/stock/err/product/$', inventory_views.stk_product_err),    
    url(r'^inventory/stock/err/product/ajax/$', inventory_views.stk_product_err_ajax), 
    url(r'^inventory/stock/err/product/batch/(?P<id>\d+)/$', inventory_views.stk_product_err_batch), 

    

    #2020-06-22 
    url(r'^inventory/get/label/sys/info/(?P<code>\d+)/$', inventory_views.get_label_sys_info),
    #2020-06-28 
    url(r'^inventory/external/label/info/(?P<company_id>\d+)/$', inventory_views.external_label_info),

    #2020-06-28 
    url(r'^inventory/wx/label/info/(?P<user_id>\d+)/(?P<code>\w+)/$', inventory_views.wx_user_label_info),        


    url(r'^inventory/test/label/query/(?P<code>\d+)/(?P<what>\w+)/$', inventory_views.test_label_query),

    #2020-07-31
    url(r'^inventory/delete/(?P<obj_name>\w+)/(?P<id>\d+)/$', inventory_views.delete_obj),

    #2020-08-12
    url(r'^inventory/query/label_query/$',inventory_views.query_label),


    url(r'^inventory/kangnian_activation_page/$', inventory_views.kangnian_activation_page),
   

    #2022-05-10
    url(r'inventory/agent/list/product/$', inventory_views.agent_stk_product),


    # 2020/7/24  经销商出入库查询
    url(r'inventory/agent/list/$', inventory_views.agent_stk_query),
    url(r'inventory/agent/details/(?P<id>\d+)/$', inventory_views.agent_stk_query_details),

    # 2022-111-02标签替换信息    
    url(r'^inventory/label/replace/(?P<what>\w+)/$', inventory_views.label_replace),
    url(r'^inventory/label/replace/(?P<what>\w+)/(?P<id>\d+)/$', inventory_views.label_replace),
    

   


    #2020-09-15
    url(r'^inventory/ajax/geo/(?P<obj>\w+)/$', inventory_views.ajax_geo),
    url(r'^inventory/ajax/geo/(?P<obj>\w+)/(?P<company_id>\d+)/$', inventory_views.ajax_geo),


    
    url(r'^inventory/check/storegeo/$', inventory_views.check_stroegeo),

    #2020-12-14 酒鬼扫码枪 物流标签号码检查
    url(r'^inventory/label/exists/check/$', inventory_views.label_exists_check),
    




    #2020-10-27
    url(r'^inventory/bottlecap/binding/(?P<company_id>\d+)/(?P<process_id>\d+)/$', inventory_views.bottlecap_binding),
    url(r'^inventory/bottlecap/products/(?P<company_id>\d+)/$', inventory_views.bottlecap_products),
    url(r'^inventory/bottlecap/scrapped/(?P<company_id>\d+)/$', inventory_views.bottlecap_scrapped),
    url(r'^inventory/bottlecap/output/$', inventory_views.bottlecap_output),
    
    #2020-11-10
    url(r'^inventory/bottlecap/bottle/count/(?P<company_id>\d+)/(?P<product_id>\d+)/$', inventory_views.bottlecap_count),     
    #2020-11-16
    url(r'^inventory/bottlecap/bottle/boxerr/(?P<company_id>\d+)/$', inventory_views.get_bottlecap_boxerr),  


    #2021-02-22
    url(r'^inventory/salesticket/$', inventory_views.sales_ticket),  
    url(r'^inventory/salesticket/(?P<id>\d+)/$', inventory_views.sales_ticket),  
    url(r'^inventory/salesticket/print/$', inventory_views.print_ticket),   


    #裕贡扫码信息展示
    url(r'^inventory/ticketinfo/$',inventory_views.yg_ticket),
    url(r'^inventory/ticketinfo/conf/$', inventory_views.yg_ticket_conf),
    url(r'^inventory/ticketinfo/conf/(?P<id>\d+)/$$', inventory_views.yg_ticket_conf),
    url(r'^inventory/ticketinfo/print/$', inventory_views.yg_print_ticket),

    #2021-04-02
    url(r'^inventory/get/(?P<obj_name>\w+)/(?P<id>\d+)/$', inventory_views.app_obj_info),



    #2021-04-02
    url(r'^inventory/thirdpary/binding/(?P<company_id>\d+)/(?P<what>\w+)/$', inventory_views.thirdparty_binding),    
    #2021-05-19
    #url(r'^inventory/thirdpary/binding_test/(?P<company_id>\d+)/(?P<what>\w+)/$', inventory_views.thirdparty_binding_test),


    url(r'^inventory/online/(?P<action>\w+)/$', inventory_views.online_action),

    #2021-06-05
    url(r'^inventory/get/label/infor/$', inventory_views.get_label_infor),

    # 2022-06-08 查看推送异常的出库单
    url(r'^inventory/hand/batch/$',inventory_views.hand_request),



    #2022-06-18
    url(r'^inventory/os/autocomplete/(?P<cid>\d+)/(?P<what>\w+)/$', inventory_views.os_autocomplete),
    #ajax_os_autocomplete(request,cid,what):  
    url(r'^inventory/os/outbound/(?P<cid>\d+)/(?P<what>\w+)/$', inventory_views.os_outbound),
    #ajax_os_outbound(request,cid)
    

    
    #2021-08-19
    url(r'^inventory/label/binding/(?P<company_id>\d+)/(?P<action>\w+)/$', inventory_views.label_binding),
    
    url(r'^wx/query_trade_no/$', wx_views.query_enterprise_pay),

    #2021-10-27
    url(r'^inventory/stock/close/$', inventory_views.stk_close),
    url(r'^inventory/stock/report/(?P<what>\w+)/$', inventory_views.stock_report),
    #url(r'^inventory/ajax/stock/report/(?P<what>\w+)/$', inventory_views.ajax_stock_report),
    #2022-06-11
    url(r'^inventory/ajax/stock/report/(?P<what>\w+)/$', inventory_views.ajax_stock_report_new),


    #2022-01-25
    url(r'^inventory/product/check/online/(?P<company_id>\d+)/$', inventory_views.product_check_online),

    
    # 2022-06-28
    url(r"^inventory/online/labelcheck/(?P<company_id>\d+)/(?P<vtype_id>\d+)/$",inventory_views.online_labelcheck),
    url(r"^inventory/online/labelchecktest/(?P<company_id>\d+)/(?P<vtype_id>\d+)/$", inventory_views.online_test),

    
    #2022-04-13
    url(r'^inventory/production/batch/$', inventory_views.production_batch),
    url(r'^inventory/production/batch/query/$', inventory_views.production_batch_query),
    
    url(r'inventory/product_deliver/(?P<company_id>\d+)/(?P<product_id>\d+)/$', inventory_views.product_deliver_details),
    
    url(r'^inventory/stock/near/$', inventory_views.near_stock),
    url(r'^inventory/stock/near/(?P<company_id>\d+)/$', inventory_views.near_stock),

    url(r'^legacy/delivery/', inventory_views.legacy_delivery),
    #扫码枪同步
    url(r'^obj/list/(?P<company_id>\d+)/(?P<obj>\w+)/$', company_views.get_obj_list),
    #url(r'^get/production/structure/(?P<company_id>\d+)/(?P<obj>\w+)/$', company_views.get_prd_structure),

    #url(r'^list/(?P<obj>\w+)/$', company_views.list_obj),

    url(r'^label/infor/(?P<code>\w+)/$', inventory_views.get_label_info),
    url(r'^label/app/(?P<company_id>\d+)/(?P<code>\w+)/$', inventory_views.app_label_info),





    url(r'^utils/migrate/(?P<db>\w+)/(?P<tb>\w+)/$', utils_views.migrate_sql_pg),
    #2021-07-26
    url(r'^utils/get/baidu_address/$', utils_views.get_baidu_address),

    # 2022-10-06
    url(r'^utils/(?P<action>\w+)/$', utils_views.batchlot_stock_rpt),
    # 2022-10-06 产品库存及生产批次
    url(r'^utils/batchlot/(?P<action>\w+)/$', utils_views.batchlot_stock_rpt),
    url(r'^utils/batchlot/(?P<action>\w+)/(?P<current_period_id>\d+)/$', utils_views.batchlot_stock_rpt),

    


    url(r'^promotion/xfbqt/$', promotion_views.xfbqt_batch),
    url(r'^promotion/xfbqt/details/$', promotion_views.xfbqt_details),
    url(r'^promotion/xfbqt/get/$', promotion_views.get_xfbqt),
    url(r'^promotion/xfbqt/get/(?P<dept_id>\d+)/$', promotion_views.get_xfbqt),
    url(r'^promotion/upload/receipt/image/$', promotion_views.upload_receipt_img),
  

    
    #2020-10-02
    url(r'^promotion/gifts/edit/(?P<what>\w+)/$', promotion_views.edit_gifts),
    url(r'^promotion/gifts/edit/(?P<what>\w+)/(?P<id>\d+)/$', promotion_views.edit_gifts),

    #2020-10-04
    url(r'^promotion/gifts/requistion/log/(?P<id>\d+)/$', promotion_views.gifts_requisition_log),   

    
    
        




    url(r'^crm/(?P<operation>\w+)/(?P<obj>\w+)/$', crm_views.crm_operation),

    url(r'^import/crm/(?P<external_id>\d+)/$', crm_views.import_crm),



    url(r'^sales/query/month/$', sal_views.qry_month),
    url(r'^sales/query/date/$', sal_views.qry_date),
    url(r'^sales/ajax/query/month/(?P<vtype_id>\d+)/$', sal_views.ajax_qry_month),
    url(r'^sales/agents/scan/$', sal_views.agents_scan),
    url(r'^sales/agents/writeoff/$', prm_views.agent_writeoff),


    #2020-06-26
    url(r'^sales/obj/(?P<obj_name>\w+)/$', sal_views.edit_obj),
    url(r'^sales/obj/(?P<obj_name>\w+)/(?P<id>\d+)/$', sal_views.edit_obj),

    url(r'^sales/ajax/query/month/details/$', sal_views.ajax_qry_agent_detail),

    #2020-08-18
    url(r'^sales/ajax/activity/(?P<act_id>\d+)/draw/$', sal_views.activity_draw),
    url(r'^sales/ajax/winner/list/(?P<company_id>\d+)/(?P<consumer_id>\d+)/$', sal_views.ajax_winning_list),
    url(r'^sales/ajax/winner/redeem/$', sal_views.ajax_consumer_redeem),


    #2020-09-09
    url(r'^sales/channelpromotion/$', sal_views.channelpromotion),
    url(r'^sales/channelpromotion/(?P<id>\d+)/$', sal_views.channelpromotion),

    #2020-09-21
    url(r'^sales/channelpromotion/list/batch/$', sal_views.list_channelrebate_batch),

    #2020-09-28
    url(r'^sales/update/channelrebate/(?P<batch_id>\d+)/(?P<what>\w+)/$', sal_views.update_channelrebate_batch),

    url(r'^sales/channelrebate/summary/agent/$', sal_views.summary_channelrebate_agent),


    #2020-10-13    
    url(r'^sales/bugsell/agent/(?P<agent_id>\d+)/$', sal_views.bugsell_agent_details),
    url(r'^sales/bugsell/agent/map/(?P<agent_id>\d+)/$', sal_views.bugsell_agent_map),

    #2022-06-11
    url(r'^sales/fakelabel/agent/(?P<agent_id>\d+)/$', sal_views.fakelabel_agent_details),
    url(r'^sales/fakelabel/agent/map/(?P<agent_id>\d+)/$', sal_views.fakelabel_agent_map),
    


    url(r'^sales/channelretate/details/(?P<batch_id>\d+)/$', sal_views.rebate_details),
    url(r'^sales/channelretate/period/redeem/$', sal_views.rebate_period_redeem),

    url(r'^sales/channelretate/period/action/(?P<what>\w+)/$', sal_views.rebate_period_action),

    #2021-01-111
    url(r'^sales/channelretate/update/(?P<what>\w+)/(?P<id>\d+)/$', sal_views.channel_rebate_update),


    #2021-01-22 Jonathan 
    url(r'^sales/activity/awards/$', sal_views.activity_awards),
    url(r'^sales/activity/lottery/$', sal_views.activity_lottery),
    url(r'^sales/activity/lottery_single/$', sal_views.lottery_single),
    url(r'^sales/activity/agentarea/(?P<activity_award_id>\w+)/$', sal_views.activty_agent_areas),
    


    url(r'^sales/kangnian_writeoff_page/$', sal_views.kangnian_writeoff_page),
    url(r'^sales/kangnian_labelquery_page/$', sal_views.kangnian_labelquery_page),
    url(r'^sales/kangnian_labelquery/$', sal_views.kangnian_labelquery),
    
    

    
    
   
    

    
    url(r'^wx/get_geo_text/$', wx_views.geo_location_to_text),

    url(r'^wx/oauth/jscode/$', wx_views.wx_jscode_oauth),
    url(r'^wx/login/$', wx_views.wx_login),
    url(r'^wx/login/phone/$', wx_views.wx_login_phone),
    url(r'^wx/login/history/$', wx_views.wx_login_history),
    url(r'^wx/logout/$', wx_views.wx_logout),
    url(r'^wx/change/password/$', wx_views.wx_change_pwd),
    url(r'^wx/change/password/get_code/$', wx_views.change_password_get_code),

    #2021-03-20
    url(r'^wx/auxiliary/login/(?P<what>\w+)/$', wx_views.auxiliary_oauth_login),
    
    
    url(r'^wx/verify/$', wx_views.getPhoneVerifyCode),


    #2020-11-23
    url(r'^wx/reset/password/$', wx_views.wx_reset_password),
    

    url(r'^wx/code/register/$', wx_views.get_wxcode),
    url(r'^wx/code/register/(?P<app_id>\d+)/$', wx_views.get_wxcode),


    url(r'^wx/salesman/writeoff/$', wx_views.salesman_writeoff),
    url(r'^wx/salesman/recipient/$', wx_views.salesman_recipient),
    url(r'^wx/salesman/check/$', wx_views.wx_salesmanPunchIn),
    url(r'^wx/salesman/callon/$', wx_views.wx_salesmanCallOn),

    url(r'^wx/agent/order/$', wx_views.agent_order),    
    url(r'^wx/agent/order_helper/$', wx_views.agent_order_helper),
    url(r'^wx/get/salesman/(?P<company_id>\d+)/$', wx_views.get_salesman), 
    url(r'^wx/get/myinfo/(?P<what>\w+)/$', wx_views.get_my_info),
    url(r'^wx/close/order/$', wx_views.close_order),
    url(r'^wx/permit/order/$', wx_views.permit_order),

   
    url(r'^wx/label/scan/(?P<company_id>\d+)/$', wx_views.wx_label_scan),
    #2020-12-23
    url(r'^wx/label/scan/(?P<company_id>\d+)/(?P<app_id>\d+)/$', wx_views.wx_label_scan),


    url(r'^wx/label/scan_record/$', wx_views.wx_label_scan_record),    
    url(r'^wx/process/label/scan/(?P<company_id>\d+)/$', wx_views.wx_process_label_scan),
    
    url(r'^test/wx/process/label/scan/(?P<company_id>\d+)/$', wx_views.test_wx_process_label_scan),
    url(r'^test/wx/process/label/scan/(?P<company_id>\d+)/(?P<app_id>\d+)/$', wx_views.test_wx_process_label_scan),
    #2020-12-23
    url(r'^wx/process/label/scan/(?P<company_id>\d+)/(?P<app_id>\d+)/$', wx_views.wx_process_label_scan),
  
    url(r'^wx/tjfw/base/oauth/(?P<company_id>\d+)/$', wx_views.wx_tjfw_base_oauth),
    url(r'^wx/tjfw/base/oauth/info/(?P<company_id>\d+)/$', wx_views.wx_tjfw_base_oauth_info), 
     
    url(r'^wx/oauth/(?P<company_id>\d+)/$',  wx_views.wx_oauth, name='wx_oauth'),    
    url(r'^wx/oauth/info/(?P<company_id>\d+)/$', wx_views.wx_oauth_info),   

    # Jonathan 授权接口 需传送回调链接
    url(r'^wxauth/tjfw/(?P<company_id>\d+)/$', wx_views_auth.wx_tjfw_base_oauth),   
    url(r'^wxauth/tjfw/info/(?P<company_id>\d+)/$', wx_views_auth.wx_tjfw_base_oauth_info),   
    url(r'^wxauth/company/(?P<company_id>\d+)/$', wx_views_auth.wx_oauth),   
    url(r'^wxauth/company/info/(?P<company_id>\d+)/$', wx_views_auth.wx_oauth_info),   

    url(r'^wx/customize/(?P<company_id>\d+)/(?P<page_id>\w+)/$', wx_views.wx_customize_page),
    

    url(r'^wx/ajax/image/$', wx_views.ajax_label_img),  
    url(r'^wx/ajax/image/(?P<company_id>\d+)/$', wx_views.ajax_label_img),  
    url(r'^wx/ajax/check_yzm/$', wx_views.check_yzm),  
    url(r'^wx/ajax/get_activity/$', wx_views.ajax_get_activity),  
    
    
    url(r'^wx/ajax/consumer/scan_record/$', wx_views.ajax_consumer_scan_record),  
    url(r'^wx/ajax/consumer/info/$', wx_views.ajax_consumer_info),  
    url(r'^wx/ajax/label/traceinfo/(?P<what>\w+)/$', wx_views.ajax_label_trace_detail),  

    url(r'^wx/ajax/js/sign/(?P<wx_officail_account_id>\d+)/$', wx_views.get_wx_js_sign),    

    url(r'^wx/test/get/activity/(?P<company_id>\d+)/$', wx_views.test_get_activity),

    
    #2020-08-04
    url(r'^wx/fw/wl/$', wx_views.fwcode_to_wlcode),

    url(r'^wx/fwcode_to_wlcode', wx_views.get_fwcode_from_wuliucode),

    #2020-09-15
    url(r'^wx/add/store/geo/$', wx_views.storegeo_add),
    url(r'^wx/store/distance/(?P<company_id>\d+)/$', wx_views.store_distance),

    #2020-10-05
    url(r'^wx/gifts/requisition/list/(?P<company_id>\d+)/$', wx_views.list_requisition_satus),
    url(r'^wx/gifts/requisition/list/(?P<company_id>\d+)/(?P<status_id>\d+)/$', wx_views.list_requisition_satus),       
    
    url(r'^wx/gifts/requisition/agent/list/(?P<company_id>\d+)/$', wx_views.requisition_agent_list),
    url(r'^wx/gifts/requisition/agent/list/(?P<company_id>\d+)/(?P<status_id>\d+)/$', wx_views.requisition_agent_list),


    url(r'^wx/gifts/requisition/update/(?P<requisition_id>\d+)/(?P<status_id>\d+)/$', wx_views.giftsrequisition_update), 

    #2020-10-13
    url(r'^wx/record/label/scan/(?P<company_id>\d+)/$', wx_views.record_label_scaned),
    

    #2020-11-02
    url(r'^wx/nc/label/scan/$', wx_views.nc_labelScan),


    #2020-12-22
    url(r'^wx/sync/useraccount/(?P<company_id>\d+)/$', wx_views.sync_user_account), 
    url(r'^wx/salesman/check/history/$', wx_views.wx_salesmanPunchInHistory),
    url(r'^wx/salesman/check/terminals/$', wx_views.wx_salesmanTerminalsPostion),

    #2021-01-05
    url(r'^wx/channel/rebate/(?P<what>\w+)/$', wx_views.channel_rebate_action),    
    url(r'^wx/channelrebate/(?P<what>\w+)/$',  wx_views.channel_rebate_action),


    url(r'^wx/wallet/application/$', wx_views.wxwallet_application),
    url(r'^wx/get/notifications/$', wx_views.get_notifications),

    #2021-02-05
    url(r'^wx/submit/company/application/$', company_views.application_submit_app),

    
    
    #2021-02-28
    url(r'^wx/get_obj/(?P<app>\w+)/(?P<obj>\w+)/(?P<obj_id>\d+)/(?P<user_id>\d+)/$', wx_views.get_app_obj),
    
    
    #2021-04-16
    url(r'^app/create/(?P<what>\w+)/$', wx_views.app_create),
    
    
    url(r'^wx/brandrecommender/register/$', wx_views.brandRecommenderRegister),


    #2020-10-08
    #url(r'^wx/test/location/(?P<company_id>\d+)/$', wx_views.test_wx_location),

    
    #窜货查询
    url(r'^wx/chcx/(?P<company_id>\d+)/$', wx_views.chcx),
    url(r'^wx/chcx/getcode/$', wx_views.chcx_getcode),




    
    #2021-03-08
    url(r'^wx/action/(?P<app>\w+)/(?P<obj>\w+)/$', wx_views.app_obj_action),


    url(r'^wx/jiugui/writeoff/label/check/(?P<company_id>\d+)/$', wx_views.jg_writeoff_label_check),

    
    #(request,app,obj,obj_id,action,user_id)

    


    
    url(r'^wx/autocomplete/(?P<what>\w+)/$', wx_views.app_autocomplete),





    #2021-01-19
    url(r'^wx/test_celery_task/$', wx_views.test_celery_task),
    
    url(r'^wx/activity_bonus/check_userdata/$', wx_views.activitybonus_checkUserData),
    url(r'^wx/activity_bonus/get_bonus/$', wx_views.activitybonus_getBonus),
    url(r'^wx/activity_bonus/binding/$', wx_views.activitybonus_relationBinding),
       
    url(r'^wx/activity_bonus/test/$',wx_views.test_send_qz),
    url(r'^wx/activity_bonus/openidBinding/$',wx_views.qz_brandrecommender_openid_binding),
    
    url(r'^wx/activity_bonus/anniversary_submit/$',wx_views.activitybonus_anniversarySubmit),
    
    url(r'^wx/activity_bonus/test_draw/$', wx_views.qz_draw_test),
    url(r'^wx/activity_bonus/check_userdata_v2/$', wx_views.activitybonus_checkUserData_v2),
    url(r'^wx/activity_bonus/get_bonus_v2/$', wx_views.activitybonus_getBonus_v2),





    #2021-05-06
    url(r'^wx/list_products/(?P<company_id>\d+)/$',wx_views.list_products),
    
    url(r'^wx/ajax/matchvcode/$',wx_views.match_label_vcode),

    #2021-06-24
    url(r'^wx/customer/scan/rebate/$',wx_views.customer_scan_rebate),
    url(r'^wx/company/products/$',wx_views.ajax_company_products),
    url(r'^wx/company/mp_scanner_enabled/$',wx_views.ajax_get_mp_scanner_enabled),
    #2021-08-14
    url(r'^wx/delivery/receipt/(?P<action>\w+)/$',wx_views.app_delivery_receipt),




    #2021-08-14
    url(r'^wx/get/labelinfo/(?P<company_id>\d+)/$',wx_views.app_get_labelinfo),


    #2022-06-08
    url(r'^wx/fakelabel/(?P<company_id>\d+)/$', wx_views.fakelabel),
    url(r'^wx/alert/(?P<what>\w+)/$', wx_views.label_abnormal_info),
    url(r'^wx/alert/(?P<what>\w+)/(?P<id>\d+)/$', wx_views.label_abnormal_info),





    
    #url(r'^wx/test_send_qz/$', wx_views.test_send_hb_qz), 
    #url(r'^wx/temp_update/$', wx_views.temp_update),

    url(r'^product/query/auth/$', product_views.query_auth),
    url(r'^product/query/auth/(?P<id>\d+)/$', product_views.query_auth),    
    url(r'^product/list/query/auth/$', product_views.list_query_auth),


    #2020-08-31
    url(r'^product/label/binding/(?P<company_id>\d+)/$', product_views.label_binding),
    url(r'^product/label/binding/process/$', product_views.label_binding_process),  
    url(r'^product/detail/$', product_views.ajax_product_detail),

    #2022-06-13
    url(r'^product/shelflife/(?P<what>\w+)/(?P<batch_id>\d+)/$', product_views.shelf_life),
    url(r'^product/shelflife/(?P<what>\w+)/$', product_views.shelf_life),
    
    


    

 
    #2020-06-29
    url(r'^gis/adm/(?P<level>\d+)/$',gis_views.ajax_adm_info), 
    url(r'^gis/adm/(?P<level>\d+)/(?P<parent_id>\d+)/$',gis_views.ajax_adm_info),      

    #2020-08-15
    url(r'^thirdparty/fetch/stk/(?P<company_id>\d+)/(?P<what>\w+)/$',thirdparty_views.stk_3rd_fetch),

    #2020-08-27
    url(r'^thirdparty/sync/(?P<company_id>\d+)/(?P<what>\w+)/(?P<option>\w+)/$',thirdparty_views.sync_data),


    url(r'^thirdparty/onlineorder/(?P<company_id>\d+)/(?P<what>\w+)/$',thirdparty_views.online_order),

    #2021-06-25
    url(r'^thirdparty/(?P<company_id>\d+)/(?P<vendor>\w+)/(?P<obj>\w+)/$',thirdparty_views.data_post),
    url(r'^thirdparty/(?P<company_id>\d+)/(?P<vendor>\w+)/(?P<obj>\w+)/(?P<action>\w+)/$',thirdparty_views.data_post),
    #2021-08-04
    url(r'^thirdparty/sync/order/(?P<company_id>\d+)/(?P<vendor>\w+)/$',thirdparty_views.sync_order),
    url(r'^thirdparty/app/get/dn/$',thirdparty_views.app_get_order_info),



    #2021-08-26
    url(r'^thirdparty/vendor/(?P<what>\w+)/$', thirdparty_views.vendor_action),
    url(r'^thirdparty/vendor/(?P<what>\w+)/(?P<id>\d+)/$', thirdparty_views.vendor_action),
    #2022-03-21
    url(r'^thirdparty/redirect/(?P<what>\w+)/$', thirdparty_views.redirect_action),
    url(r'^thirdparty/redirect/(?P<what>\w+)/(?P<id>\d+)/$', thirdparty_views.redirect_action),


    #2021-08-28 消费者扫码 跳转第三方链接
    url(r'^thirdparty/label/redirect/(?P<company_id>\d+)/$', thirdparty_views.label_redirect),


    #2021-11-12
    #sales_order(request,company_id,vendor)
    url(r'^thirdparty/sync/salesorder/(?P<company_id>\d+)/(?P<vendor>\w+)/$', thirdparty_views.sales_order),

    
    #2021-12-01
    url(r'^thirdparty/query/label/(?P<company_id>\d+)/(?P<vendor>\w+)/$', thirdparty_views.query_label),

    
    #2022-02-22 喷码机接口
    url(r'^thirdparty/marking/product/$', thirdparty_views.marking_product),
    url(r'^thirdparty/marking/check/$', thirdparty_views.marking_check),
    url(r'^thirdparty/marking/order/$', thirdparty_views.marking_order),

    #2022-03-23 喷码数据
    url(r'^thirdparty/inkjet/(?P<id>\d+)/$', thirdparty_views.inkjet),
    url(r'^thirdparty/inkjet/$', thirdparty_views.inkjet),


    # 2022-08-09 扫码枪取发货单剩余发货信息
    url(r'^thirdparty/deliverynote/remaining/(?P<company_id>\d+)/$', thirdparty_views.deliverynote_remaining),




    


    
	#Jonathan
	#2020-12-15
    url(r'^sms_send/details/$', sal_views.sms_send),
	
    #品牌
    url(r'^company/brands/$', company_views.brands),
    url(r'^company/brands/edit/$', company_views.brands_edit),
    url(r'^company/brands/edit/(?P<id>\d+)/$', company_views.brands_edit),
    url(r'^company/brands/edit/(?P<id>\d+)/products/$', company_views.brands_edit_product),
    url(r'^company/brands/delete/(?P<id>\d+)/$', company_views.brands_delete),
    url(r'^company/brands/level/(?P<id>\d+)/$', company_views.brands_level),
    url(r'^company/brands/level/(?P<id>\d+)/(?P<type>\w+)/$', company_views.brands_level),  
    url(r'^company/brands/agent_level/$', company_views.brands_agent_level),
    url(r'^company/brands/agent_level_list/$', company_views.brands_agent_level_list),
    url(r'^company/brands/agent_children_level/$', company_views.brands_agent_children_level),

    #效益
    url(r'^company/benefit/$', company_views.benefit),
    url(r'^company/benefit/edit/$', company_views.benefit_edit),
    url(r'^company/benefit/edit/(?P<id>\d+)/$', company_views.benefit_edit),
    url(r'^company/benefit/delete/(?P<id>\d+)/$', company_views.benefit_delete),
    url(r'^company/benefit/rule/(?P<id>\d+)/$', company_views.benefit_rule),
    url(r'^company/benefit/rule/(?P<id>\d+)/delete/(?P<benefit_rule_id>\d+)/$',
        company_views.benefit_rule_delete),

    #任务考核
    url(r'^company/sale_task/$', company_views.sale_task),
    url(r'^company/sale_task/edit/$', company_views.sale_task_edit),
    url(r'^company/sale_task/edit/(?P<id>\d+)/$', company_views.sale_task_edit),
    url(r'^company/sale_task/delete/(?P<id>\d+)/$', company_views.sale_task_delete),
    url(r'^company/sale_task/allocate/(?P<id>\d+)/$', company_views.sale_task_allocate),
    url(r'^company/sale_task/allocate/(?P<id>\d+)/delete/(?P<allocate_id>\d+)/$', company_views.sale_task_allocate_delete),
    url(r'^company/sale_task/record/$', company_views.sale_task_record),

    #2021-02-24 公告信息 创建修改
    url(r'^company/bulletinboard/$', company_views.bulletinboard),
    url(r'^company/bulletinboard/(?P<id>\d+)/$', company_views.bulletinboard),

    
    url(r'^company/outlet/edit/$', company_views.outlet_edit),
    url(r'^company/outlet/edit/(?P<id>\d+)/$', company_views.outlet_edit),




    #页面管理
    url(r'^company/page_banners/$', company_views.page_banners),
    url(r'^company/page_banners/delete/(?P<id>\d+)/$', company_views.page_banners_delete),
    url(r'^company/news/$', company_views.news),
    url(r'^company/news/edit/$', company_views.news_edit),
    url(r'^company/news/edit/(?P<id>\d+)/$', company_views.news_edit),
    url(r'^company/news/upload/$', company_views.news_upload),
    url(r'^company/news/delete/(?P<id>\d+)/$', company_views.news_delete),

    url(r'^company/saleman/checkin/$', company_views.saleman_checkin),
    url(r'^company/saleman/checkin/trace/$', company_views.saleman_checkin_trace),
    url(r'^company/saleman/checkin/photos/$', company_views.saleman_checkin_photos),
    url(r'^company/saleman/manage/$', company_views.saleman_manage),
    url(r'^company/saleman/manage/data/(?P<what>\w+)/$', company_views.saleman_manage_data),
    url(r'^company/saleman/manage/ajax/(?P<what>\w+)/$', company_views.ajax_saleman_manage_data),
    
    #留言
    url(r'^company/leave_message/$', company_views.leave_message),
    url(r'^company/leave_message/list/$', company_views.leave_message_list),


    #2021-04-05
    url(r'^company/html/applicationreviewlog/$', company_views.html_company_applicationreviewlog),

    #2021-07-23
    url(r'^company/franchise/outlet/$', company_views.franchise_outlet),
    url(r'^company/franchise/view/outlet/$', company_views.view_outlet),    
    url(r'^company/outlet/get/(?P<what>\w+)/$', company_views.outlet_get),
    url(r'^company/outlet/get/(?P<what>\w+)/(?P<id>\d+)/$', company_views.outlet_get),
    #20211-08-10
    url(r'^company/franchise/action/(?P<what>\w+)/(?P<action>\w+)/(?P<id>\d+)/$', company_views.franchise_action),
    
    url(r'^company/detail/$', company_views.ajax_company_detail),
   


    # 2022-11-03 经销商小程序库存变动列表
    url(r'^company/fg/movent/(?P<company_id>\d+)/$', company_views.fg_movement),
    
    

	
    #2020-11-28 
    url(r'^white_domain/$', company_views.white_domain),
    url(r'^white_domain/edit/$', company_views.white_domain_edit),
    url(r'^white_domain/edit/(?P<id>\d+)/$', company_views.white_domain_edit),
    url(r'^white_domain/data/(?P<compid>\d+)/$', company_views.white_domain_data),
    url(r'^white_domain/delete/(?P<id>\d+)/$', company_views.white_domain_delete),
    #2020-11-30
    url(r'^label_bind_rule/$', company_views.label_bind_rule),
    url(r'^label_bind_rule/edit/$', company_views.label_bind_rule_edit),
    url(r'^label_bind_rule/edit/(?P<id>\d+)/$', company_views.label_bind_rule_edit),
    url(r'^label_bind_rule/data/(?P<compid>\d+)/$', company_views.label_bind_rule_data),
    url(r'^label_bind_rule/delete/(?P<id>\d+)/$', company_views.label_bind_rule_delete),

    url(r'^third_party_company/$', company_views.third_party_company),
    url(r'^third_party_company/(?P<compid>\d+)/$', company_views.third_party_company_data),
    url(r'^third_party_company/edit/$', company_views.third_party_edit),
    url(r'^third_party_company/edit/(?P<id>\d+)/$', company_views.third_party_edit),
    url(r'^third_party_label/bind/$', company_views.third_party_label_bind),
    url(r'^third_party_label/list/$', company_views.third_party_label_list),
    url(r'^third_party_label/search/$', company_views.third_party_label_search),
    

    #积分商城 
    url(r'^mall/update_user_points/$',mall_views.update_user_points), 
    url(r'^mall/settings/$', mall_views.settings),
    url(r'^mall/banners/$', mall_views.banners),
    url(r'^mall/banners/edit/$', mall_views.banners_edit),
    url(r'^mall/banners/edit/(?P<id>\d+)/$', mall_views.banners_edit),
    url(r'^mall/banners/data/$', mall_views.banners_data),
    url(r'^mall/points_product/$', mall_views.points_product),
    url(r'^mall/points_product/edit/$', mall_views.points_product_edit),
    url(r'^mall/points_product/edit/(?P<id>\d+)/$', mall_views.points_product_edit),
    url(r'^mall/points_product/data/$', mall_views.points_product_data),
    url(r'^mall/points_product/detail/$', mall_views.points_product_detail),
    url(r'^mall/points_product/comments/$', mall_views.points_product_comment),
    url(r'^mall/points_product/upload/$', mall_views.points_product_upload),
    url(r'^mall/points_product/banner/(?P<id>\d+)/$', mall_views.points_product_banner),
    url(r'^mall/points_product/banner/(?P<id>\d+)/delete/(?P<bid>\d+)/$', mall_views.points_product_banner_delete),
    url(r'^mall/address/operate/$', mall_views.address_operate),
    
    url(r'^mall/orders/$', mall_views.orders),
    url(r'^mall/orders/edit/(?P<id>\d+)/$', mall_views.order_edit),
    url(r'^mall/orders/comments/$', mall_views.orders_comments_list),
    url(r'^mall/orders/comments/edit/(?P<id>\d+)/$', mall_views.order_comments_edit),
    url(r'^mall/order/checkout/$', mall_views.check_out),
    url(r'^mall/order/list/$', mall_views.orders_list),
    url(r'^mall/order/detail/$', mall_views.orders_detail),
    url(r'^mall/order/shouhuo/$', mall_views.order_shouhuo),
    url(r'^mall/order/comment/$', mall_views.order_comment),
    url(r'^mall/order/status_num/$', mall_views.order_status_num),
    url(r'^mall/boards/$', mall_views.boards), 
    url(r'^mall/boards/edit/$', mall_views.boards_edit),
    url(r'^mall/boards/edit/(?P<id>\d+)/$', mall_views.boards_edit), 
    url(r'^mall/boards/data/$', mall_views.boards_data),
    url(r'^mall/user/data/$', mall_views.user_data),
    url(r'^mall/user/points/record/$', mall_views.user_points_record_data),
    url(r'^mall/user/is_register/$', mall_views.user_is_register),
    url(r'^mall/user/register/$', mall_views.user_register),
    url(r'^mall/send_code/$', mall_views.send_code),
    url(r'^mall/m/(?P<company_id>\d+)/(?P<grade_id>\d+)/$', mall_views.mall_mobile), 
    url(r'^mall/mobile_url/$', mall_views.mall_mobile_url),



    # 会员管理
    url(r'^obj/set/memberlevel/$', sal_views.member_level_conf),
    url(r'^member/level/details/(?P<id>\d+)/$', sal_views.member_level_details), 
    url(r'^member/level/save/(?P<id>\d+)/$', sal_views.member_level_save),
    url(r'^member/level/save/$', sal_views.member_level_save),
    url(r'^member/register/$', sal_views.member_register),
    url(r'^list/set/(?P<what>\w+)/$', sal_views.list_set_config), 
    url(r'^list/edit/(?P<what>\w+)/$', sal_views.list_edit),
    url(r'^list/edit/(?P<what>\w+)/(?P<id>\d+)/$', sal_views.list_edit),


    
    #手动步奖
    url(r'^sales/bujiang_labels/$', sal_views.bujiang_labels),
    url(r'^sales/bujiang/$', sal_views.bujiang),
    url(r'^sales/bujiang/(?P<id>\d+)/$', sal_views.bujiang),
    #奖池布奖
    url(r'^sales/lotteryseeds/$', sal_views.lotteryseeds),
    url(r'^sales/lottery/$', sal_views.lottery),
    url(r'^sales/lotteryseeds/delete/(?P<id>\d+)/$', sal_views.lotteryseeds_delete),
    #奖品指定
    url(r'^sales/lotterywinnerseeds/$', sal_views.lotterywinnerseeds),
    url(r'^sales/winner_lottery/$', sal_views.winner_lottery),
    url(r'^sales/lotterywinnerseeds/delete/(?P<id>\d+)/$', sal_views.lotterywinnerseeds_delete),
    #核销管理
    url(r'^sales/do_hexiao/$', sal_views.do_hexiao),
    url(r'^sales/do_hexiao_dispatch/$', sal_views.do_hexiao_dispatch),
    url(r'^sales/do_hexiao_accept/$', sal_views.do_hexiao_accept),
    url(r'^sales/hexiao_record/$', sal_views.hexiao_record),
    url(r'^sales/hexiao_record/detail/(?P<id>\d+)/$', sal_views.hexiao_record_detail),
    url(r'^sales/hexiao_record/permit/(?P<id>\d+)/$', sal_views.hexiao_record_permit),
    url(r'^sales/hexiao_dispatch_record/$', sal_views.hexiao_dispatch_record),
    url(r'^sales/hexiao_dispatch_record/data/$', sal_views.hexiao_dispatch_record_data),
    url(r'^sales/hexiao_returned_money/$', sal_views.hexiao_returned_money),
    url(r'^sales/hexiao_record/list/$', sal_views.hexiao_record_list),
    url(r'^sales/hexiao_record/my_return_money/$', sal_views.hexiao_my_return_money),
    url(r'^sales/hexiao_record/get_my_return_money/$', sal_views.hexiao_get_my_return_money),
    #扫码 
    url(r'^sales/label_scan/list/$', sal_views.label_scan_list),

    #2021-06-24
    url(r'^sales/list/(?P<what>\w+)/$', sal_views.list_obj),


    url(r'^sales/qz_brandrecommender_redpack_retry/$',sal_views.qz_brandrecommender_redpack_retry),
    url(r'^sales/qz_regular_redpack_retry/$',sal_views.qz_regular_redpack_retry),
    url(r'^sales/qz_toggle_anniversary/$',sal_views.qz_toggle_anniversary),
    
    #消费者申诉
    url(r'^sales/consumer/appeal/$', sal_views.consumer_appeal),
    url(r'^sales/consumer/appeal_status/$', sal_views.consumer_appeal_status),
    url(r'^sales/consumer/appeal_page/$', sal_views.consumer_appeal_page),

    #2022-05-05
    url(r'^sales/bugsell/sms/$', sal_views.bugsell_sms),
    url(r'^sales/bugsell/sms/(?P<method>\w+)/$', sal_views.bugsell_sms),

    #2022-06-11
    url(r'^sales/sms/(?P<what>\w+)/(?P<ancestor_id>\d+)/(?P<record_id>\d+)/$', sal_views.sms_ancestor),
    #sms_ancestor(request,what,ancestor_id,record_id)


    # 生日短信提醒
    url(r'^birthday/messages/$', sal_views.birthday_messages), 
    # 节日列表
    url(r'^holiday/list/$', sal_views.holiday_list),
    # 节日设置
    url(r'^holiday/edit/$', sal_views.holiday_edit),
    url(r'^holiday/edit/(?P<id>\d+)/$', sal_views.holiday_edit),
    url(r'^company/test_brands/(?P<ancestor_id>\d+)/(?P<company_id>\d+)/$', company_views.test_brands),
    #消费者中奖记录
    url(r'^wx/consumer/winner/record/$', wx_views.wx_consumer_activity_win_record),
    url(r'^wx/consumer/winner/hexiao/$', wx_views.wx_consumer_winner_hexiao_record),
    url(r'^wx/consumer/winner/summary/$',wx_views.wx_consumer_activity_win_summary),
    url(r'^wx/consumer/winner/card_compose/$', wx_views.wx_consumer_activity_card_compose),
    url(r'^wx/consumer/winner/share/$', wx_views.wx_consumer_award_share),
    url(r'^company/test/delete/$', company_views.company_delete),
    url(r'^company/test/add_user/$', company_views.test_add_user),
    url(r'^company/list/$', sal_views.company_list),
    url(r'^company/use_excel_upload_companies/$', company_views.use_excel_upload_companies),
    url(r'^test/send_hb/$', wx_views.test_send_hb),



    url(r'^wx/kangnian/terminal/$', wx_views.kangnian_getTerminal),
    url(r'^wx/kangnian/product_list/$', wx_views.kangnian_getProductList),
    url(r'^wx/kangnian/reserve/$', wx_views.kangnian_reserve),
    url(r'^wx/kangnian/activate/$', wx_views.kangnian_activate),
    url(r'^wx/kangnian/writeoff/$', wx_views.kangnian_writeoff),
    url(r'^wx/kangnian/writeoff_list/$', wx_views.kangnian_writeoff_list),
    url(r'^wx/kangnian/stock/$', wx_views.kangnian_stock),
    url(r'^wx/kangnian/checklabelactive/$', wx_views.kangnian_checkLabelActivated),

     # 月度库存与销售百分比
    url(r'^product/sendout/$',inventory_views.product_send_out), 
    # 环比
    url(r'^product/inventory/in/$', inventory_views.product_inventory_in), 
    # 同比
    url(r'^product/sellout/$', inventory_views.product_inventory_tongbi), 
    # 到店盘库存在性检查
    url(r'^inventory/to_store_existence/$', inventory_views.check_to_store_existence),
    # 业务员到店库存盘点
    url(r'^inventory/to_store_inventory/$', inventory_views.to_store_inventory),
    # 上次到店库存盘点
    url(r'^inventory/last_to_store/$', inventory_views.last_to_store),
    # 盘库test
    url(r'^inventory/reserve/$', inventory_views.inventory_reserve), 
    # 盘库期结期
    url(r'^inventory/period/config/$', inventory_views.inventory_period),
    url(r'^inventory/period/config/set/$', inventory_views.inventory_period_set),

    #AI数据汇总
    url(r'^tjfw/swm/$', wx_views.tjfw_swm),

    
    url(r'^rbac/list/(?P<what>\w+)/$', rbac_views.list_menu),
    
    url(r'^rbac/menu/$', rbac_views.edit_menu),
    url(r'^rbac/menu/(?P<id>\d+)/$', rbac_views.edit_menu),
    url(r'^rbac/action/(?P<what>\w+)/$', rbac_views.rbac_action),
    #2021-09-11
    url(r'^rbac/action/(?P<what>\w+)/(?P<id>\d+)/$', rbac_views.rbac_action),


    #2021-12-02
    url(r'^rbac/test/add/$', rbac_views.add_test),

   


    #数据迁移
    url(r'^migrate/check_companies/$', migrate.check_companies),
    url(r'^migrate/check_products/$', migrate.check_products),




    url(r'^mes/storehouse/$', mes_views.edit_Storehouse),   
    url(r'^mes/storehouse/(?P<id>\d+)/$', mes_views.edit_Storehouse), 
    url(r'^mes/batch/(?P<vtype_id>\d+)/$', mes_views.edit_batch), 
    url(r'^mes/batch/(?P<vtype_id>\d+)/(?P<id>\d+)/$', mes_views.edit_batch),   
    url(r'^mes/list/batch/(?P<vtype_id>\d+)/$', mes_views.list_batch),

    url(r'^mes/list/(?P<what>\w+)/$', mes_views.list_obj),

    url(r'^mes/edit/(?P<what>\w+)/$', mes_views.edit_obj),
    url(r'^mes/edit/(?P<what>\w+)/(?P<id>\d+)/$', mes_views.edit_obj),

    #2022-07-25
    #易臻编码重复检验
    url(r'^obj/yzgj/check/externalcode/(?P<obj_name>\w+)/(?P<cid>\d+)/(?P<id>\d+)/(?P<code>\w+)/$', list_views.externalcode_check),

    url(r'^mes/order/evalute/(?P<id>\d+)/$', mes_views.evaluate_order),
    
    url(r'^mes/detail/$', mes_views.ajax_vendor_detail),
    # 2022-07-25
    url(r'^mes/label/bind/(?P<company_id>\d+)/(?P<action>\w+)/(?P<what>\w+)/$', mes_views.label_bind),
    # 2022-08-10
    url(r'^mes/product/bind/(?P<action>\w+)/$', mes_views.product_bind),

    # 2022-09-01
    url(r'^mes/label/check/(?P<company_id>\d+)/$', mes_views.label_check),
   


    url(r'^entertainment/request/(?P<what>\w+)/(?P<action>\w+)/(?P<id>\d+)/$', ent_views.request_ent_action),
    url(r'^entertainment/app/(?P<what>\w+)/(?P<action>\w+)/$', ent_views.app_ent_action),
    url(r'^entertainment/app/(?P<what>\w+)/(?P<action>\w+)/(?P<id>\d+)/$', ent_views.app_ent_action),


    url(r'^banquet/list/(?P<obj>\w+)/$', banquet_views.banquetList),


    url(r'^banquet/edit/(?P<obj_name>\w+)/$', banquet_views.edit_banquet),
    url(r'^banquet/edit/(?P<obj_name>\w+)/(?P<id>\d+)/$', banquet_views.edit_banquet),
    url(r'^banquet/ajax/(?P<obj>\w+)/$', banquet_views.ajax_banquet),


    url(r'^sales/marketActivity/list/(?P<obj>\w+)/$', sal_views.marketActivityList),
    url(r'^sales/marketActivity/ajax/(?P<obj>\w+)/$', sal_views.ajax_marketActivity),
    url(r'^sales/marketActivity/edit/(?P<obj_name>\w+)/$', sal_views.edit_marketActivity),
    url(r'^sales/marketActivity/edit/(?P<obj_name>\w+)/(?P<id>\d+)/$', sal_views.edit_marketActivity),
    
    url(r'^sales/action/list/(?P<obj>\w+)/$', sal_views.ActionList),
    url(r'^sales/action/edit/(?P<obj_name>\w+)/$', sal_views.edit_action),
    url(r'^sales/action/edit/(?P<obj_name>\w+)/(?P<id>\d+)/$', sal_views.edit_action),
    url(r'^sales/action/ajax/(?P<obj>\w+)/$', sal_views.ajax_action),
    
    
    url(r'^sales/withdraw/list/(?P<obj>\w+)/$', sal_views.withdrawList),
    url(r'^sales/withdraw/edit/(?P<obj>\w+)/$', sal_views.withdrawEdit),

    # 2022-07-07
    url(r'^sales/coupon/scan/$', sal_views.coupon_scan),
    url(r'^sales/coupon/ajax/list/$', sal_views.ajaxCouponScanList),

    #2022-02-16
    url(r'^extra/postlabels/$', extra_views.PostLabels),


    #2022-03-23 销售订单 
    url(r'^erp/salesorder/(?P<id>\d+)/$', erp_views.salesorder),
    url(r'^erp/salesorder/$', erp_views.salesorder),



    #2022-03-25 重要：今后所有前端，扫码枪使用这一个接口
    url(r'^frontend/label/infor/(?P<user_id>\d+)/$', inventory_views.frontend_label_infor),    
    #2022-05-16 前端文件上传接口
    url(r'^frontend/upload/file/$', wx_views.frontend_upload),
    url(r'^test/wx/send_message_template/$', wx_views.test_send_wechat_message_template),
    
    # 2022-07-20
    # url(r'^test/log/$', inventory_views.test_log),

    #NFC标签验证接口
    url(r'^nfc/labelcode/verify/$',thirdparty_views.nfc_label_verify),
    
    #易臻未加盟门店到已加盟距离
    url(r'^obj/yzgj/bmapapi/distance/$', list_views.get_address_distance),

    # 2022-8-20
    # 内参发货单报表
    url(r'inventory/delivery_status/$', inventory_views.delivery_status),
    # inventory_near
    url(r'inventory/near/(?P<company_id>\d+)/$', inventory_views.near_stock),
    #2022-10-08 发货单经销商编码/产品编码校验
    url(r'^obj/deliverynote/update/(?P<id>\d+)/$', list_views.dnote_updateCode),
    
    # 垛标物流
    url(r'^inventory/stack/list/$',inventory_views.stack_list),
    url(r'^inventory/stack/details/(?P<batch_id>\d+)/(?P<stack_id>\d+)/$',inventory_views.stack_details),
    #垛标绑定
    url(r'^inventory/stack/binding/$',inventory_views.binding_of_stacks),
    url(r'^inventory/stack/returning/(?P<cid>\d+)/$',inventory_views.returning_of_stacks),
    
    # 易臻发货批次信息
    url(r'^inventory/batchno/details/(?P<batch_id>\d+)/$',inventory_views.cat_batchno_details),

]

if settings.DEBUG:      
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)



    













